Debug::DWARF::Info -

# struct Debug::DWARF::Info

- Debug::DWARF::Info
- Struct
- Value
- Object

## Defined in:

## Constructors

- .new(io : IO::FileDescriptor, offset)

## Instance Method Summary

- #abbreviations
- #abbreviations=(abbreviations : Array(Abbrev))
- #abbreviations? : Array(Debug::DWARF::Abbrev)?
- #address_size : UInt8
- #address_size=(address_size : UInt8)
- #debug_abbrev_offset : UInt32 | UInt64
- #debug_abbrev_offset=(debug_abbrev_offset : UInt32 | UInt64)
- #dwarf64 : Bool
- #dwarf64=(dwarf64 : Bool)
- #each(&block)
- #read_abbreviations(io)
- #unit_length : UInt32 | UInt64
- #unit_length=(unit_length : UInt32 | UInt64)
- #version : UInt16
- #version=(version : UInt16)

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(io : IO::FileDescriptor, offset) #

## Instance Method Detail

def abbreviations #
def abbreviations=(abbreviations : Array(Abbrev)) #
def abbreviations? : Array(Debug::DWARF::Abbrev)? #
def address_size : UInt8 #
def address_size=(address_size : UInt8) #
def debug_abbrev_offset : UInt32 | UInt64 #
def debug_abbrev_offset=(debug_abbrev_offset : UInt32 | UInt64) #
def dwarf64 : Bool #
def dwarf64=(dwarf64 : Bool) #
def each(&block) #
def read_abbreviations(io) #
def unit_length : UInt32 | UInt64 #
def unit_length=(unit_length : UInt32 | UInt64) #
def version : UInt16 #
def version=(version : UInt16) #